package cn.com.ty.lift.business.contract.dao.mapper;

import cn.com.ty.lift.business.contract.dao.entity.Payment;
import cn.com.ty.lift.business.contract.dao.entity.model.request.PaymentDetailRequest;
import cn.com.ty.lift.business.contract.dao.entity.model.request.PaymentRequest;
import cn.com.ty.lift.business.contract.dao.entity.model.response.PaymentDetailResponse;
import cn.com.ty.lift.business.contract.dao.entity.model.response.PaymentResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * MyBatis Mapper 接口 - 表：payment
 * @author bieao
 * @since 2019-12-11 14:22:13
 */
public interface PaymentMapper extends BaseMapper<Payment> {

    IPage<PaymentResponse> findByCondition(IPage<PaymentResponse> page, @Param("request") PaymentRequest request);

    PaymentDetailResponse queryContractDetailById(@Param("request") PaymentDetailRequest request);

}